Subject: [TEST] nft_tproxy_udp.sh flaky after Fedora 44 upgrade

From: Jakub Kicinski <[email-masked]>
Date: Wed, 8 Apr 2026 15:24:32 -0700

Hi Florian!

When you have a sec -- we upgraded the NIPA systems to Fedora 44
over the weekend, and nft_tproxy_udp.sh has gotten quite flaky:
https://netdev.bots.linux.dev/contest.html?test=nft-tproxy-udp-sh

One thing that we hit immediately is this, in case tproxy test
uses socat:

commit e65d8b6f3092398efd7c74e722cb7a516d9a0d6d
Date:   Sat Apr 4 16:01:03 2026 -0700

    selftests: drv-net: adjust to socat changes
    
    socat v1.8.1.0 now defaults to shut-null, it sends an extra
    0-length UDP packet when sender disconnects. This breaks
    our tests which expect the exact packet sequence.
    
    Add shut-none which was the old default where necessary.